---
title: renovate_bot
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.renovate_bot) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.renovate_bot?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.renovate_bot) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.renovate_bot/src/branch/main/LICENSE)

Setup docker-renovate garbage collector. Keep docker hosts small.

<!--more-->

- [Default Variables](#default-variables)
  - [renovate_binary_source](#renovate_binary_source)
  - [renovatebot_autodiscover](#renovatebot_autodiscover)
  - [renovatebot_autodiscover_filter](#renovatebot_autodiscover_filter)
  - [renovatebot_endpoint](#renovatebot_endpoint)
  - [renovatebot_git_author](#renovatebot_git_author)
  - [renovatebot_github_token](#renovatebot_github_token)
  - [renovatebot_host_rules](#renovatebot_host_rules)
  - [renovatebot_image](#renovatebot_image)
  - [renovatebot_interval](#renovatebot_interval)
  - [renovatebot_onboarding_config](#renovatebot_onboarding_config)
  - [renovatebot_platform](#renovatebot_platform)
  - [renovatebot_repositories](#renovatebot_repositories)
  - [renovatebot_service_stopped](#renovatebot_service_stopped)
  - [renovatebot_token](#renovatebot_token)
  - [renovatebot_version](#renovatebot_version)
- [Dependencies](#dependencies)

---

## Default Variables

### renovate_binary_source

#### Default value

```YAML
renovate_binary_source: global
```

### renovatebot_autodiscover

#### Default value

```YAML
renovatebot_autodiscover: false
```

### renovatebot_autodiscover_filter

A [minimatch](https://www.npmjs.com/package/minimatch) glob-style pattern for filtering autodiscovered repositories. The sessing only works if `renovatebot_autodiscover` is enabled.

#### Default value

```YAML
renovatebot_autodiscover_filter: _unset_
```

#### Example usage

```YAML
renovatebot_autodiscover_filter: project/*
```

### renovatebot_endpoint

#### Default value

```YAML
renovatebot_endpoint: https://github.company.com/api/v3
```

### renovatebot_git_author

#### Default value

```YAML
renovatebot_git_author: Renovate Bot <bot@renovateapp.com>
```

### renovatebot_github_token

If you are running on any platform except github.com, it's important to also configure a personal access token for github.com. It's used when fetching release notes for repositories in order to increase the hourly API limit.

#### Default value

```YAML
renovatebot_github_token: _unset_
```

### renovatebot_host_rules

List of host rules to propagate to renovate.

#### Default value

```YAML
renovatebot_host_rules: []
```

#### Example usage

```YAML
renovatebot_host_rules:
  - hostType: "docker"
    hostName: "your.host.io"
    username: "demo"
    password: "secure"
```

### renovatebot_image

Docker image to use.

#### Default value

```YAML
renovatebot_image: renovate/renovate:{{ renovatebot_version }}
```

### renovatebot_interval

Interval for the systemd timer.

#### Default value

```YAML
renovatebot_interval: daily
```

### renovatebot_onboarding_config

#### Default value

```YAML
renovatebot_onboarding_config:
  extends:
    - config:base
```

### renovatebot_platform

#### Default value

```YAML
renovatebot_platform: github
```

### renovatebot_repositories

#### Default value

```YAML
renovatebot_repositories: []
```

### renovatebot_service_stopped

#### Default value

```YAML
renovatebot_service_stopped: false
```

### renovatebot_token

Personal access token for your bot account.

### renovatebot_version

#### Default value

```YAML
renovatebot_version: slim
```



## Dependencies

None.
